# Retrieve a wallet

`GET /accounts/{accountID}/wallets/{walletID}`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Get information on a specific wallet (e.g., the available balance). 

Read our [Moov wallets guide](https://docs.moov.io/guides/sources/wallets/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/wallets.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes |  |
| `walletID` | path | string | Yes |  |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `walletID` | string | Yes |  |
| `availableBalance` | object | Yes |  |
| `availableBalance.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `availableBalance.value` | integer (int64) | Yes | Quantity in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99. |
| `availableBalance.valueDecimal` | string | Yes |  |
| `partnerAccountID` | string | Yes |  |
| `name` | string | Yes | Name of the wallet |
| `status` | string | Yes | Status of a wallet. - `active`: The wallet is available for use and has an enabled payment method. - `closed`: The wallet is no longer active and the corresponding payment method has been disabled. Values: `active`, `closed`. |
| `walletType` | string | Yes | Type of a wallet. - `default`: The system-generated wallet automatically created when an account is granted the wallet capability. - `general`: An additional, user-defined wallet created via API or Dashboard. - `card-issuing`: The system-generated wallet automatically created when an account is granted the card-issuing capability. Values: `default`, `general`, `card-issuing`. |
| `description` | string | Yes | Description of the wallet |
| `metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `createdOn` | string (date-time) | Yes |  |
| `closedOn` | string (date-time) |  |  |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.wallets.get({
    accountID: "d04dfd44-8194-422f-a666-08d30c183f9a",
    walletID: "10a6bc37-8eeb-41c8-bf5f-77b40955542a",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/sources/wallets/get/
